package org.netbeans.modules.cnd.dwarfdump.dwarf;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class DwarfLocationList implements Iterable<DwarfLocationListEntry> {
	private long offset;
	private List<DwarfLocationListEntry> entries = new ArrayList<DwarfLocationListEntry>();

	public DwarfLocationList(long offset) {
		this.offset = offset;
	}
	
	public long getOffset() {
		return offset;
	}
	
	public void addLocation(long begin, long end, DwarfExpression location) {
		entries.add(new DwarfLocationListEntry(begin, end, location));
	}

	public Iterator<DwarfLocationListEntry> iterator() {
		return entries.iterator();
	}
}
